#include<bits/stdc++.h>
#define ll long long
const int nmax=2e5;
using namespace std;
int ans,n,m;
char tekst[nmax],pat[10];
vector<int> pod[30];
array<int,2> pored[30];
int first,last;
int main()
{
	cin >> tekst >> pat;
	n=strlen(tekst);
	m=strlen(pat);
	for(int i=0;i<n;i++)
	{
		if(tekst[i]==pat[0]){
			first=i;
			break;
		}
	}
	for(int i=n-1;i>=0;i--)
	{
		if(tekst[i]==pat[m-1]){
			last=i;
			break;
		}
	}
	last++;
	for(int i=first;i<last;i++)
	{
		pod[(int)tekst[i]-97].push_back(i);
	}
	for(int i=0;i<m;i++)
	{
		pored[i][0]=pod[(int)pat[i]-97].size();
		pored[i][1]=(int)pat[i]-97;
	}
	sort(pored,pored+m);
	for(int i:pod[pored[0][1]])
	{
		tekst[i]='*';
		ans++;
	}
	cout << ans << "\n" << tekst << "\n";
}